### Method

# Ide Debugger disassemble_async

#### Declaration

    void
    ide_debugger_disassemble_async (
      IdeDebugger* self,
      const IdeDebuggerAddressRange* range,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Disassembles the address range requested.

Available since: | 3.32

#### Parameters

`range` | `IdeDebuggerAddressRange`
| An `IdeDebuggerAddressRange` to disassemble.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call once the operation has finished.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.